Skip to main content

Get a user

GET 

/users/{user}

Get the details of a user.

Path Parameters​


    user string<handle>required

    The handle of the user.

    Possible values: non-empty and <= 50 characters

Responses​

The user

Response Body

application/json

    idstringrequired

    The UUID of the user. Is unique.

    Format: string<uuid>
    Example: 00000000-0000-0000-0000-000000000000

    handlestringrequired

    The handle of the user. Is unique.

    Format: string<handle>
    Example: user-a

    aliasstring | nullrequired

    The alias of the user.

    Format: string,null<alias>
    Example: User A

    emailstringrequired

    The email of the user. Is unique.

    Format: string<email>
    Example: user.a@email.com

    emailVerifiedboolean

    Indicates whether the email of the user has been verified.

    Example: true

    statestringrequired

    The state of the user.

    Format: UserState (string)

    Possible values: [verified, unverified, blocked]

    Example: verified

    orgsintegerrequired

    The number of organizations of the user.

    Format: integer<int32>
    Example: 10

    spacesintegerrequired

    The number of spaces of the user.

    Format: integer<int32>
    Example: 10

    createdAtstringrequired

    The date and time when the user was created.

    Format: string<date-time>
    Example: 2023-01-01T00:00:00.000000Z

Example from Schema​

{
"id": "00000000-0000-0000-0000-000000000000",
"handle": "user-a",
"alias": "User A",
"email": "user.a@email.com",
"emailVerified": true,
"state": "verified",
"orgs": 10,
"spaces": 10,
"createdAt": "2023-01-01T00:00:00.000000Z"
}